#ifndef BALL_H
#define BALL_H

#include <QPainter>
#include <QTimer>
#include <qobjectdefs.h>

class Ball : public QTimer {
    Q_OBJECT

  public:
    Ball(QWidget* parent);

    void draw(QPainter& painter);

  signals:
    void deleted(Ball* ball);

  protected:
    virtual void timerEvent(QTimerEvent*) override;

  private:
    QWidget* m_parent;
    double m_x;
    double m_y;
    double m_kx;
    double m_ky;
    bool m_isSpawning;
};

#endif // BALL_H
